diff --git a/contrib/unaccent/generate_unaccent_rules.py b/contrib/unaccent/generate_unaccent_rules.py
index 859cac4..761b237 100644
--- a/contrib/unaccent/generate_unaccent_rules.py
+++ b/contrib/unaccent/generate_unaccent_rules.py
@@ -21,7 +21,8 @@
 # command line argument -- will be parsed and used.
 #
 # [1] http://unicode.org/Public/8.0.0/ucd/UnicodeData.txt
-# [2] http://unicode.org/cldr/trac/export/12304/tags/release-28/common/transforms/Latin-ASCII.xml
+# [2] http://unicode.org/cldr/trac/export/12304/tags/release-34/common/transforms/Latin-ASCII.xml
+#     (Ideally you should use the latest release).
 
 
 import re
@@ -121,10 +122,14 @@ def parse_cldr_latin_ascii_transliterator(latinAsciiFilePath):
     # construct tree from XML
     transliterationTree = ET.parse(latinAsciiFilePath)
     transliterationTreeRoot = transliterationTree.getroot()
-
-    for rule in transliterationTreeRoot.findall("./transforms/transform/tRule"):
-        matches = rulePattern.search(rule.text)
-
+    rules = []
+    for element in transliterationTreeRoot.findall(
+      "./transforms/transform/tRule"
+      ):
+        rules.extend(element.text.strip().split("\n"))
+
+    for rule in rules:
+        matches = rulePattern.search(rule)
         # The regular expression capture four groups corresponding
         # to the characters.
         #
